/**
 * Classe JanelaExemploJava2D, junto com a classe Renderer2D, mostra um exemplo de 
 * como trabalhar com Java e OpenGL utilizando a API JOGL.  aberta uma 
 * janela na qual  desenhado um tringulo.
 * 
 * @author Isabel H. Manssour e Marcelo Cohen  
 * @version 1.0
 */

import javax.swing.*;
import java.awt.*; 
import javax.media.opengl.*;

public class JanelaExemploJava2d
{
	private Renderer2D renderer;

	/**
	 * Construtor da classe ExemploJava que no recebe parmetros. Cria uma janela e insere  
	 * um componente canvas OpenGL.
	 */
	public JanelaExemploJava2d()
	{
		// Cria janela
		JFrame janela = new JFrame("Desenho de um tringulo em 2D");   
		janela.setBounds(50,100,500,500); 
		janela.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);

		BorderLayout layout = new BorderLayout(); 
		Container caixa=janela.getContentPane();
		caixa.setLayout(layout); 

		// Cria um objeto GLCapabilities para especificar o nmero de bits 
		// por pixel para RGBA
		GLCapabilities c = new GLCapabilities();
		c.setRedBits(8);
		c.setBlueBits(8);
		c.setGreenBits(8);
		c.setAlphaBits(8); 

		// Cria o objeto que ir gerenciar os eventos
		renderer = new Renderer2D();

		// Cria um canvas, adiciona na janela, e especifica o objeto "ouvinte" 
		// para os eventos Gl, de mouse e teclado
		GLCanvas canvas = new GLCanvas(c);
		janela.add(canvas,BorderLayout.CENTER);
		canvas.addGLEventListener(renderer);        
		canvas.addKeyListener(renderer);
		janela.setVisible(true);
		canvas.requestFocus();
	}

	/**
	 * 
	 * Mtodo main que apenas cria um objeto ExemploJava.
	 */
	public static void main(String args[])
	{
		JanelaExemploJava2d ej = new JanelaExemploJava2d();
	}
}
